## netkit-ftp-ssl 0.17.12+0.2

=== ftp/Makefile ===
all: ftp

include ../MCONFIG
include ../MRULES

ifeq ($(USE_READLINE),1)
CFLAGS += -D__USE_READLINE__
LIBS += -lreadline $(LIBTERMCAP)
endif

ftp: cmds.o cmdtab.o domacro.o ftp.o main.o ruserpass.o
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

domacro.o ftp.o glob.o main.o ruserpass.o: ftp_var.h pathnames.h
cmds.o cmdtab.o: ftp_var.h pathnames.h cmds.h
cmds.o glob.o: glob.h

install: ftp
	install -s -m$(BINMODE) ftp $(INSTALLROOT)$(BINDIR)
	ln -sf ftp $(INSTALLROOT)$(BINDIR)/pftp
	install -m$(MANMODE) ftp.1 $(INSTALLROOT)$(MANDIR)/man1
	ln -sf ftp.1 $(INSTALLROOT)$(MANDIR)/man1/pftp.1
	install -m$(MANMODE) netrc.5 $(INSTALLROOT)$(MANDIR)/man5

clean:
	rm -f *.o ftp

## netkit-ftp-ssl 0.17.22+0.2

=== debian/changelog ===
netkit-ftp-ssl (0.17.22+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17-22.
  * Refresh all patches.

 -- Ian Beckwith <ianb@debian.org>  Sun, 16 May 2010 22:56:14 +0100

netkit-ftp (0.17-22) unstable; urgency=low

  * Changes by Mats Erik Andersson.
    - Updated 040_ipv6_ftp_c.diff to fix double free error (Closes: #579532)
  * Added Mats to the Uploaders field.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 11 May 2010 12:01:39 +0200

netkit-ftp-ssl (0.17.21+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17-21
    + IPv6 support! (Closes: #336106)
      Thanks to Mats Erik Andersson <mats.andersson@gisladisker.se>.
  * Convert to format 3.0 (quilt).
  * Extract source changes to patches in debian/patch/, annotate
    patches in DEP3 format. SSL patches start at 500, patches
    below that are imported unchanged from the debian netkit-ftp
    package.
  * 520_check_ssl_new.diff: also check return valueof SSL_new()
    when setting up a data connection.
  * debian/rules:
    + Use -fno-strict-aliasing to avoid warnings from
      type-punning sockaddr_storage.
    + Remove unnecessary extra '-g' from CFLAGS.
  * debian/watch: check for new debian package of netkit-ftp.
  * Standards-Version: 3.8.4 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Fri, 09 Apr 2010 02:41:25 +0100

netkit-ftp (0.17-21) unstable; urgency=low

  * Updated 040_ipv6_ftp_c.diff with Mats' latest patch

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Mar 2010 16:45:04 +0200

netkit-ftp (0.17-20) unstable; urgency=low

  * Changes by Mats Erik Andersson. Thanks for the HUGE patch!
    - Migrate to format "3.0 (quilt)".
    - debian/control: Adding ${misc:Depends} due to Debhelper.
    - debian/substvars: Deleted file.
    - debian/watch: New file.
    - Extract in-situ patches. Deposited in debian/patches/:
      + 010_patches_in_sarge.diff
      + 020_optional_stripping.diff
      + 025_long_cmd_overflow.diff
      + 030_argv_handling.diff
    - [lintian] New patch 035_lintian_pedantic.diff.
    - New patch for IPv6-capability: 040_ipv6_ftp_c.diff (Closes: #228752)
    - [lintian] maintainer-script-without-set-e: debian/{postinst,prerm}
  * Bumped Standards-Version to 3.8.4.0.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 30 Mar 2010 16:19:20 +0200

netkit-ftp-ssl (0.17.19+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17-19.
  * ftp/cmds.c: fix typo.
  * debian/control: remove DM-Upload-Allowed flag.

 -- Ian Beckwith <ianb@debian.org>  Wed, 23 Sep 2009 01:48:43 +0100

netkit-ftp (0.17-19) unstable; urgency=low

  * Patched main.c to fix memory management on command line arguments.
    Thanks a lot to Mark Calderbank for the patch.
    (Closes: #508378, #505533, #510009)
  * debian/control: replaced libreadline5-dev with libreadline-dev
  * Moved to debhelper compat 7
  * Bumped Standards-Version to 3.8.3.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 14 Sep 2009 13:35:40 +0200

netkit-ftp-ssl (0.17.18+0.2-3) unstable; urgency=low

  * Use editline instead of readline (Closes: #531822)
    Licensing problems forbid us from linking to readline
    and openssl in the same binary.
  * Explicitly Build-Depend on libncurses5-dev, was previously
    pulled in indirectly by libreadline5-dev.
  * Standards-Version: 3.8.1 (no changes).
  * Change maintainer email address.

 -- Ian Beckwith <ianb@debian.org>  Sat, 06 Jun 2009 16:10:42 +0100

netkit-ftp-ssl (0.17.18+0.2-2) unstable; urgency=low

  * Incorporate Ubuntu patch (LP: #184626) to fix segfault when no
    parameter is given to -z. Thanks to Alexander Gitter (Closes: #506137).
  * Added stub watch file.
  * Standards-Version: 3.8.0 (no changes).
  * control: removed superfluous Section: field.
  * prerm, postinst: use set -e instead of /bin/sh -e

 -- Ian Beckwith <ianb@erislabs.net>  Wed, 25 Feb 2009 23:00:16 +0000

netkit-ftp-ssl (0.17.18+0.2-1) unstable; urgency=low

  * New maintainer (Closes: #476131).
  * Update to netkit-ftp 0.17.18.
  * Initialize SSL even when -n is used (Closes: #450723).
    Also enforce -z secure in USER command.
  * Fix nostrip and noopt DEB_BUILD_OPTIONS (Closes: #437616).
  * Fix all warnings in source.
  * Remove dpatch - not worth it for one change out of many.
  * Remove ncurses Build-Dep and drop it from LIBTERMCAP setting,
    as we don't actually use it.
  * ftp.1: Document SSL options, fix typos & hyphen quoting.
  * ftp -h: Document SSL options.
  * Add DM-Upload-Allowed: yes.
  * Update debian/copyright.
  * Bump debhelper compat level to 5.
  * Remove unused debhelper calls.
  * Use netkit-ftp_0.17.orig.tar.gz as our orig.tar.gz.

 -- Ian Beckwith <ianb@erislabs.net>  Fri, 25 Apr 2008 00:22:46 +0100

netkit-ftp (0.17-18) unstable; urgency=low

  * Clean patch applied in previous version. Thanks Steve for helping 
    again with this.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 26 Mar 2008 18:31:12 +0100

netkit-ftp (0.17-17) unstable; urgency=low

  * Applied patch by Steve Kemp to fix buffer overflow in ftp
    commands. (Closes: #391207, #407924)
    Thanks a lot Steve for looking into this.
  * Removed stripping from Makefile. Added it as an option in
    debian/rules. (Closes: #437615)
  * Bumped Standards-Version to 3.7.3. Did some cleaning.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 21 Mar 2008 18:14:02 +0100

netkit-ftp (0.17-16) unstable; urgency=low

  * Build with libreadline5-dev again. Don't know how libreadline4-dev
    managed to get back to debian/control. (Closes: #340302)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 22 Nov 2005 19:57:36 +0100

netkit-ftp (0.17-15) unstable; urgency=low

  * debian/control: Added Depends: on netbase (Closes: #340082)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 21 Nov 2005 10:18:15 +0100

netkit-ftp (0.17-14) unstable; urgency=low

  * Rebuild with libreadline5-dev (Closes: #326364, #336572)
  * Removed /usr/share/doc/ftp/README since it didn't contain


=== debian/control ===
Source: netkit-ftp-ssl
Section: net
Priority: extra
Maintainer: Ian Beckwith <ianb@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), libeditline-dev, libncurses5-dev, libssl-dev

Package: ftp-ssl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
Conflicts: ftp (>= 0.10)
Replaces: ftp (>= 0.10)
Provides: ftp
Description: The FTP client with SSL or TLS encryption support
 ftp is the user interface to the ARPANET standard File Transfer Protocol.
 The program allows a user to transfer files to and from a remote network
 site.
 .
 ftp-ssl replaces normal ftp using SSL or TLS authentication and encryption.
 It interoperates with normal ftpd.
 It checks if the other side is also talking SSL or TLS, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with 
 tcpdump or similar tools.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules,v 1.9 2001/12/11 09:03:39 herbert Exp $
# Adapted for netkit-ftp.  Copyright 1999 by Herbert Xu.
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEFS := -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
        CONFIGUREARGS=--with-debug
else
        CONFIGUREARGS=
endif

build: build-stamp
build-stamp:
	dh_testdir

	if [ ! -f MCONFIG ]; then \
		./configure $(CONFIGUREARGS) --with-editline ; \
		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS=$(DEFS) \1/' \
		    -e 's/^\(LIBTERMCAP=\).*/\1/' \
		    MCONFIG > MCONFIG.new; \
		mv MCONFIG.new MCONFIG; \
	fi
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	[ ! -f MCONFIG ] || $(MAKE) distclean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) INSTALLROOT=`pwd`/debian/ftp-ssl MANDIR=/usr/share/man install
	mv debian/ftp-ssl/usr/bin/ftp debian/ftp-ssl/usr/bin/ftp-ssl
	ln -sf ftp-ssl debian/ftp-ssl/usr/bin/pftp
	mv debian/ftp-ssl/usr/share/man/man1/ftp.1 \
	   debian/ftp-ssl/usr/share/man/man1/ftp-ssl.1
	ln -sf ftp-ssl.1 debian/ftp-ssl/usr/share/man/man1/pftp.1

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## netkit-ftp-ssl 0.17.23+0.2

=== debian/changelog ===
netkit-ftp-ssl (0.17.23+0.2-1build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 May 2011 13:18:02 +0100

netkit-ftp-ssl (0.17.23+0.2-1) unstable; urgency=low

  * Update to netkit-ftp 0.17.23.
  * CFLAGS: add -g -fno-strict-aliasing.
  * Standards-Version: 3.9.0.
  * debian/copyright: explicitly embed BSD license.

 -- Ian Beckwith <ianb@debian.org>  Sun, 04 Jul 2010 01:45:37 +0100

netkit-ftp (0.17-23) unstable; urgency=low

  [Mats Erik Andersson]

  * Rework error recovery. (Closes: #582598)
    + 040_ipv6_ftp_c.diff: Updated file.
    + Avoid double free errors by freeing immediately at an intermediary error.
    + Conditional use of IP_TOS for GNU/kfreebsd.
  * debian/copyright: Explicit licensing for the IPv6 coding.
  * debian/rules: Added compiler flag '-fno-strict-aliasing'.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 25 May 2010 23:50:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Ian Beckwith <ianb@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Build-Depends: debhelper (>= 7), libeditline-dev, libncurses5-dev, libssl-dev
 
 Package: ftp-ssl

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 	if [ ! -f MCONFIG ]; then \
 		./configure $(CONFIGUREARGS) --with-editline ; \
-		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS=$(DEFS) \1/' \
+		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS= -g $(DEFS) -fno-strict-aliasing \1/' \
 		    -e 's/^\(LIBTERMCAP=\).*/\1/' \
 		    MCONFIG > MCONFIG.new; \
 		mv MCONFIG.new MCONFIG; \

## netkit-ftp-ssl 0.17.33%2B0.2

=== debian/changelog ===
netkit-ftp-ssl (0.17.33+0.2-2) unstable; urgency=medium

  * Corrections to hash marking and tick counter.
    + debian/patches/660_hashes_and_ticks.diff: New file.
  * Failure to recognize an error condition.
    + debian/patches/670_capture_ssl_error.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 11 Jan 2016 18:30:52 +0100

netkit-ftp-ssl (0.17.33+0.2-1) unstable; urgency=low

  * Update to source version 0.17-33 of netkit-ftp.
    + debian/control: Set Build-Depends to '>= 9' for debhelper.
    + debian/compat: Update.
  * Bring in package changes from experimental to unstable.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 20:16:15 +0200

netkit-ftp (0.17-33) unstable; urgency=low

  * Interchange maintainer and uploader.
  * Bring in package changes from experimental to unstable.
  * debian/control: Increase Build-Depends to ">= 9" for debhelper.
  * debian/compat: Update.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 27 Apr 2015 17:51:43 +0200

netkit-ftp-ssl (0.17.32+0.2-1) experimental; urgency=low

  * New maintainer and new uploader.
  * Update to netkit-ftp 0.17.32. (Closes: #684027)
    + debian/patches/*: Refresh many patches. Add some from netkit-ftp.
  * Tear down SSL session context when closing. (Closes: #774184)
    + debian/patches/650_broken_ssl_connection.diff: New file.
  * Update Standards to 3.9.6.
    + debian/rules: Add targets "build-arch" and "build-indep".
  * Follow netkit-ftp in using alternatives, allowing simultaneous
    installation with plain ftp.
    + debian/control: Replace "Conflicts" with "Breaks", keep "Replaces",
      but update both to state "ftp (<=0.17-31)".
    + debian/rules: Modify similarly to netkit-ftp.
    + debian/postinst: Likewise. Use priority 110 to gain precedence.
  * debian/rules: Implement hardening and cross builds like netkit-ftp.
  * debian/watch: Contact the server at "ftp.debian.org".
  * [lintian] debian/control: description-synopsis-starts-with-article

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 09 Jan 2015 16:31:41 +0100

netkit-ftp (0.17-32) experimental; urgency=medium

  * Increase Standards to 3.9.6, no changes.
  * Extended use of the alternatives subsystem.
    + debian/postinst: Add slave links for "pftp", "pftp.1.gz",
      and "netrc.5.gz".
    + debian/rules: Deactivate soft links "pftp", "pftp.1", rename
      "netrc.5", and remove installed files.
  * [lintian] Insufficiently named copyright conditions.
    + debian/copyright: Correct "BSD" to "BSD-3-clause".

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sun, 28 Dec 2014 00:05:02 +0100

netkit-ftp (0.17-31) unstable; urgency=medium

  * Syntax of hash command. (Closes: #754065)
    + debian/patches/070_hash_increments.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 18 Jul 2014 13:07:54 +0200

netkit-ftp (0.17-30) unstable; urgency=low

  * Repair internal command "tick": printing and size.
    + debian/patches/070_hash_increments.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 02 Jun 2014 22:06:17 +0200

netkit-ftp (0.17-29) unstable; urgency=low

  * Standards-Version: 3.9.5.
    + debian/rules: Add "build-arch", "build-indep".
  * Implement variable hash markings. (Closes: #731670)
    + debian/patches/070_hash_increments.diff: New file.
  * [lintian] debian/copyright: Comply with format version 1.0.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 17 May 2014 02:04:20 +0200

netkit-ftp (0.17-28) unstable; urgency=low

  * Patch from Colin Watson to fix cross-building. (Closes: #695007)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 03 Dec 2012 18:53:56 +0100

netkit-ftp (0.17-27) unstable; urgency=low

  * Support large files on 32-bit architectures:
    * Solution identified by Martin Hicks. (Closes: #671873)
    + debian/patches/060_full_offset_range.diff: New file.
  * debian/rules: Hardening via dpkg-buildflags.
  * debian/control: Standards 3.9.3, no changes.
    + Building now depends on dpkg-dev (>= 1.15.7).
  * Tiny description errors:
    + debian/patches/010_patches_in_sarge.diff: Updated.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 23 May 2012 20:08:11 +0200

netkit-ftp (0.17-26) unstable; urgency=low

  * Support GNU/Hurd:
    + debian/patches/050_support_gnu_hurd.diff: New file.
  * Simplify dynamic linking:
    + debian/control: No build dependency on libncurses-dev.
    + debian/patches/052_no_termcap_linking.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 28 Mar 2012 01:29:24 +0200

netkit-ftp (0.17-25) unstable; urgency=low

  * Prevent SYST request in non-auto-login. (Closes: #611284)
    + debian/patches/043_tune_non_autologin.diff: New file.
    + debian/README.Debian: New file, commenting on this change.
  * Missing line break. (Closes: #630524)
    + debian/patches/040_ipv6_ftp_c.diff: Updated patch.
  * debian/control: Make description conform to policy.
  * debian/copyright: Apply versioned reference to format specs.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 18 Jun 2011 02:36:02 +0200

netkit-ftp (0.17-24) unstable; urgency=low

  * Standards version 3.9.2.
    + debian/copyright: Include explicit BSD license text.
  * Copyright reformulated based on DEP-5.
  * Code simplification in IPv6 extension patch.
    + debian/patches/040_ipv6_ftp_c.diff: Updated patch.
  * Implement user commands in executable.
    + debian/patches/041_user_address_commands.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 19 Apr 2011 22:47:52 +0200

## netkit-ftp-ssl 0.17.33+0.2

=== ftp/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 LIBS += -lreadline $(LIBTERMCAP)
 endif
 
-ftp: cmds.o cmdtab.o domacro.o ftp.o main.o ruserpass.o
+ftp: cmds.o cmdtab.o domacro.o ftp.o glob.o main.o ruserpass.o
 	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@
 
 domacro.o ftp.o glob.o main.o ruserpass.o: ftp_var.h pathnames.h

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: netkit-ftp-ssl
 Section: net
 Priority: extra
-Maintainer: Ian Beckwith <ianb@debian.org>
-Standards-Version: 3.9.0
-Build-Depends: debhelper (>= 7), libeditline-dev, libncurses5-dev, libssl-dev
+Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
+Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), libeditline-dev, libncurses5-dev, libssl-dev
 
 Package: ftp-ssl
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, netbase
-Conflicts: ftp (>= 0.10)
-Replaces: ftp (>= 0.10)
+Breaks: ftp (<= 0.17-31)
+Replaces: ftp (<= 0.17-31)
 Provides: ftp
-Description: The FTP client with SSL or TLS encryption support
+Description: FTP client with SSL or TLS encryption support
  ftp is the user interface to the ARPANET standard File Transfer Protocol.
  The program allows a user to transfer files to and from a remote network
  site.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEFS := -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -fno-strict-aliasing
+DEFS := -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
+
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
+
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
         CONFIGUREARGS=--with-debug
@@ -14,18 +21,27 @@
         CONFIGUREARGS=
 endif
 
-build: build-stamp
+ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	CROSS :=
+else
+	CROSS := CC=$(DEB_HOST_GNU_TYPE)-gcc
+endif
+
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
 	if [ ! -f MCONFIG ]; then \
 		./configure $(CONFIGUREARGS) --with-editline ; \
-		sed -e 's/^CFLAGS=\(.*\)$$/CFLAGS= -g $(DEFS) -fno-strict-aliasing \1/' \
-		    -e 's/^\(LIBTERMCAP=\).*/\1/' \
+		sed -e 's;^CFLAGS=\(.*\)$$;CFLAGS= -g $(DEFS) -fno-strict-aliasing $(CFLAGS) $(CPPFLAGS) \1;' \
+		    -e 's;^LDFLAGS=\(.*\)$$;& $(LDFLAGS);' \
+		    -e 's;^\(LIBTERMCAP=\).*;\1;' \
 		    MCONFIG > MCONFIG.new; \
 		mv MCONFIG.new MCONFIG; \
 	fi
-	$(MAKE)
+	$(MAKE) $(CROSS)
 
 	touch build-stamp
 
@@ -47,10 +63,14 @@
 
 	$(MAKE) INSTALLROOT=`pwd`/debian/ftp-ssl MANDIR=/usr/share/man install
 	mv debian/ftp-ssl/usr/bin/ftp debian/ftp-ssl/usr/bin/ftp-ssl
-	ln -sf ftp-ssl debian/ftp-ssl/usr/bin/pftp
+	#ln -sf ftp-ssl debian/ftp-ssl/usr/bin/pftp
+	rm -f debian/ftp-ssl/usr/bin/pftp
 	mv debian/ftp-ssl/usr/share/man/man1/ftp.1 \
 	   debian/ftp-ssl/usr/share/man/man1/ftp-ssl.1
-	ln -sf ftp-ssl.1 debian/ftp-ssl/usr/share/man/man1/pftp.1
+	#ln -sf ftp-ssl.1 debian/ftp-ssl/usr/share/man/man1/pftp.1
+	rm -f debian/ftp-ssl/usr/share/man/man1/pftp.1
+	mv debian/ftp-ssl/usr/share/man/man5/netrc.5 \
+	   debian/ftp-ssl/usr/share/man/man5/netrc-ssl.5
 
 	touch install-stamp

## netkit-ftp-ssl 0.17.34%2B0.2

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
 Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), libeditline-dev, libncurses5-dev, libssl-dev
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10~), libeditline-dev, libncurses5-dev, libssl-dev, cmake
 
 Package: ftp-ssl
 Architecture: any
@@ -23,5 +23,5 @@
  to normal ftp protocol.
  .
  Advantages over normal ftp(d): Your passwords and the data you send
- will not go in cleartext over the line. Nobody can get it with 
- tcpdump or similar tools. 
+ will not go in cleartext over the line. Nobody can get it with
+ tcpdump or similar tools.

## netkit-ftp-ssl 0.17.34%2Breally0.17

=== debian/changelog ===
netkit-ftp-ssl (0.17.34+really0.17-1) unstable; urgency=medium

  * QA upload.
  * Switch from debhelper to debhelper-compat.
  * Represent original upstream version with +really.
  * debian/watch: Remove because upstream is dead.
  * d/copyright: Convert to format 1.0.

 -- Bastian Germann <bage@debian.org>  Sat, 04 Dec 2021 03:04:28 +0100

netkit-ftp-ssl (0.17.34+0.2-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop editline/libedit patches (Closes: #995800).
  * Drop 3rd clause from BSD-4-clause.

 -- Bastian Germann <bage@debian.org>  Thu, 21 Oct 2021 23:51:06 +0200

netkit-ftp-ssl (0.17.34+0.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with libedit (Closes: #966383).

 -- Bastian Germann <bastiangermann@fishpost.de>  Tue, 08 Sep 2020 23:41:48 +0200

netkit-ftp-ssl (0.17.34+0.2-5) unstable; urgency=medium

  * debian/patches/710_fix_ftbfs_gcc10.diff. Always use extern for hashstep
    in ftp_var.h. (Closes: #957597)
  * Bumped Standards-Version to 4.5.0
    - debian/control: Update Priority: to optional

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 03 Aug 2020 15:49:04 +0200

netkit-ftp-ssl (0.17.34+0.2-4.1) unstable; urgency=high

  * Non-maintainer upload
  * Use cmake as build system. Closes: #912126
  * Migrate to openssl 1.1, patches by Sebastian Andrzej Siewior.
    Closes: #859224

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 24 Feb 2019 14:39:23 +0100

netkit-ftp-ssl (0.17.34+0.2-4) unstable; urgency=medium

  * Correctly reuse SSL session identity in data connection.
    This suffices for libssl1.0, not for libssl1.1.  (Closes: #854460)
    + debian/patches/700_prefer_tls.diff: Reactivate commented out
      function call to SSL_copy_session_id().
    + debian/control: Prefer libssl1.0-dev and condition libssl-dev
      on "<< 1.1.0~" for trivial backporting.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 08 Feb 2017 18:39:46 +0100

netkit-ftp-ssl (0.17.34+0.2-3) unstable; urgency=low

  * Allow verification mode to print additional details about the
    certificate presented by the server, given that verbosity is set.
    + debian/patches/700_prefer_tls.diff: Updated.
    + debian/rules: Define macro BUILD_SSL_CLIENT.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 18 Jan 2017 19:33:56 +0100

netkit-ftp-ssl (0.17.34+0.2-2) unstable; urgency=low

  * Move TLS abilities closer to contemporary standard. The SSL option
    'cipher=list' works and 'cacert=file' makes verification possible.
    + debian/patches/700_prefer_tls.diff: New file.
  * debian/control: Reverse the order of libssl-dev and libssl1.0-dev.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 05 Jan 2017 15:54:53 +0100

netkit-ftp-ssl (0.17.34+0.2-1) unstable; urgency=low

  * Update to source version 0.17-34 of netkit-ftp.
  * Build-depend on libssl1.0-dev or on libssl-dev.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 14 Dec 2016 00:38:03 +0100

netkit-ftp (0.17-34) unstable; urgency=low

  * Increase Standards to 3.9.8, no changes.
  * Increase hardening level.
  * [lintian] Silence complaints on ancient source archive.
    + debian/source/lintian-overrides: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 06 Dec 2016 16:23:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: netkit-ftp-ssl
 Section: net
-Priority: extra
-Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
-Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10~), libeditline-dev, libncurses5-dev, libssl-dev, cmake
+Build-Depends: debhelper-compat (= 10), libreadline-dev, libncurses-dev, libssl-dev, cmake
 
 Package: ftp-ssl
 Architecture: any

## netkit-ftp-ssl 0.17.34+0.2

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: netkit-ftp-ssl
 Section: net
-Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Priority: extra
+Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
+Uploaders: Alberto Gonzalez Iniesta <agi@inittab.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper-compat (= 10), libreadline-dev, libncurses-dev, libssl-dev, cmake
+Build-Depends: debhelper (>= 9), libeditline-dev, libncurses5-dev, libssl1.0-dev | libssl-dev (<< 1.1.0~)
 
 Package: ftp-ssl
 Architecture: any
@@ -22,5 +23,5 @@
  to normal ftp protocol.
  .
  Advantages over normal ftp(d): Your passwords and the data you send
- will not go in cleartext over the line. Nobody can get it with
- tcpdump or similar tools.
+ will not go in cleartext over the line. Nobody can get it with 
+ tcpdump or similar tools.

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 DEFS := -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
 
-CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS) -fPIE -pie
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS) -DBUILD_SSL_CLIENT
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now
 
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

=== debian/watch ===
version=3

# check for new debian package of our upstream, netkit-ftp
# the other possible upstreams are long dead

opts="uversionmangle=s/(.*)-(.*)/$1.$2+0.2/" http://ftp.debian.org/debian/pool/main/n/netkit-ftp/netkit-ftp_(.*).dsc

## netkit-ftp-ssl 0.17.34+really0.17

=== Makefile ===
# You can do "make SUB=blah" to make only a few, or edit here, or both
# You can also run make directly in the subdirs you want.

SUB =   ftp

%.build:
	(cd $(patsubst %.build, %, $@) && $(MAKE))

%.install:
	(cd $(patsubst %.install, %, $@) && $(MAKE) install)

%.clean:
	(cd $(patsubst %.clean, %, $@) && $(MAKE) clean)

all:     $(patsubst %, %.build, $(SUB))
install: $(patsubst %, %.install, $(SUB))
clean:   $(patsubst %, %.clean, $(SUB))

distclean: clean
	rm -f MCONFIG

=== debian/changelog ===
netkit-ftp-ssl (0.17.34+really0.17-3) unstable; urgency=medium

  * QA upload.
  * Refresh all patches to remove fuzzyness.
  * Use https in Bug-Debian fields.
  * Build using C17 standard with GNU extensions. Closes: #1097449.
  * Update source lintian overrides.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 20 Oct 2025 12:30:00 +0200

netkit-ftp-ssl (0.17.34+really0.17-2) unstable; urgency=medium

  * QA upload.
  * add gbp.conf
  * add Vcs fields to debian/control
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update renamed lintian tag names in lintian overrides.
  * Fix day-of-week for changelog entry 0.17.12+0.2-4.
  * Use wrap-and-sort -satb for debian control files
  * update to debhelper-compat=10
  * build with hardening flags

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 08 May 2024 14:02:37 +0200

=== debian/control ===
Source: netkit-ftp-ssl
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.7.2
Build-Depends:
 cmake,
 debhelper-compat (= 11),
 libncurses-dev,
 libreadline-dev,
 libssl-dev,
Vcs-Git: https://salsa.debian.org/debian/netkit-ftp-ssl.git
Vcs-Browser: https://salsa.debian.org/debian/netkit-ftp-ssl

Package: ftp-ssl
Architecture: any
Depends:
 netbase,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 ftp (<= 0.17-31),
Replaces:
 ftp (<= 0.17-31),
Provides:
 ftp,
Description: FTP client with SSL or TLS encryption support
 ftp is the user interface to the ARPANET standard File Transfer Protocol.
 The program allows a user to transfer files to and from a remote network
 site.
 .
 ftp-ssl replaces normal ftp using SSL or TLS authentication and encryption.
 It interoperates with normal ftpd.
 It checks if the other side is also talking SSL or TLS, if not it falls back
 to normal ftp protocol.
 .
 Advantages over normal ftp(d): Your passwords and the data you send
 will not go in cleartext over the line. Nobody can get it with
 tcpdump or similar tools.

=== debian/rules ===
#!/usr/bin/make -f

export verbose=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@ --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
